Subject: bug#5226: Malayalam conjunct formation breaks down at the end of long words

From: Praveen A <[email-masked]>
Date: Fri, 18 Dec 2009 14:46:47 +0530

2009/12/18 Kenichi Handa <[email-masked]>:
> Then, you are not using the latest CVS code.  At least,
> lisp/language/indian.el is not up-to-date or not
> byte-compiled when you build your emacs.  Please check it.

I did a uninstall, distclean, cvs update and rebuilt emacs.
Also I removed the code needed for handling ZWJ from my .emacs file.

Now I'm getting this.
(["\\([ക-ഹ]‌?്‌?\\)*[ക-ഹ]\\(്[‍‌]?\\|[െ-ൈൊ-ൌ]?[ൢ-ൣ]?[ാ-ൄൗ]?[ം-ഃ]?\\)\\|[അ-ഔൠ-ൡ]\\(‌?്[ക-ഹ]\\)?[െ-ൈൊ-ൌ]?[ൢ-ൣ]?[ാ-ൄൗ]?[ം-ഃ]?\\|‌്[ക-ഹ]\\|[ഀ-ൿ]"
0 font-shape-gstring])

Now it is working beautifully. Thanks a lot.
Praveen
-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
<GPLv2> I know my rights; I want my phone call!
<DRM> What use is a phone call, if you are unable to speak?
(as seen on /.)
Join The DRM Elimination Crew Now!
http://fci.wikia.com/wiki/Anti-DRM-Campaign